import { system, world } from '@minecraft/server';

world.beforeEvents.worldInitialize.subscribe(initEvent => {
  initEvent.blockComponentRegistry.registerCustomComponent('faf_ice:trigger', {
  onStepOn: e => { e.entity.runCommand("function ice"); },
onEntityFallOn: e => { e.entity.runCommand("function ice"); },
});

});
